- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::NoNLPScalingObject Class Reference

Class implementing the scaling object that doesn't to any scaling. More...

`#include <IpNLPScaling.hpp>`

Inheritance diagram for Ipopt::NoNLPScalingObject:

[legend]
Collaboration diagram for Ipopt::NoNLPScalingObject:

[legend]
List of all members.

## Public Member Functions
Constructors/Destructors
| NoNLPScalingObject ()
virtual | ~NoNLPScalingObject ()
| Default destructor.
## Protected Member Functions
virtual void | DetermineScalingParametersImpl (const SmartPtr< const VectorSpace > x_space, const SmartPtr< const VectorSpace > c_space, const SmartPtr< const VectorSpace > d_space, const SmartPtr< const MatrixSpace > jac_c_space, const SmartPtr< const MatrixSpace > jac_d_space, const SmartPtr< const SymMatrixSpace > h_space, const Matrix &Px_L, const Vector &x_L, const Matrix &Px_U, const Vector &x_U, Number &df, SmartPtr< Vector > &dx, SmartPtr< Vector > &dc, SmartPtr< Vector > &dd)
| Overloaded from StandardScalingBase.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| NoNLPScalingObject (const NoNLPScalingObject &)
| Copy Constructor.
void | operator= (const NoNLPScalingObject &)
| Overloaded Equals Operator.

## Detailed Description

Class implementing the scaling object that doesn't to any scaling.

Definition at line 397 of file IpNLPScaling.hpp.

## Constructor & Destructor Documentation

Ipopt::NoNLPScalingObject::NoNLPScalingObject | ( |  | ) | `[inline]`

Definition at line 402 of file IpNLPScaling.hpp.

virtual Ipopt::NoNLPScalingObject::~NoNLPScalingObject | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 406 of file IpNLPScaling.hpp.

Ipopt::NoNLPScalingObject::NoNLPScalingObject | ( | const NoNLPScalingObject & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual void Ipopt::NoNLPScalingObject::DetermineScalingParametersImpl | ( | const SmartPtr< const VectorSpace > | x_space,
|  | const SmartPtr< const VectorSpace > | c_space,
|  | const SmartPtr< const VectorSpace > | d_space,
|  | const SmartPtr< const MatrixSpace > | jac_c_space,
|  | const SmartPtr< const MatrixSpace > | jac_d_space,
|  | const SmartPtr< const SymMatrixSpace > | h_space,
|  | const Matrix & | Px_L,
|  | const Vector & | x_L,
|  | const Matrix & | Px_U,
|  | const Vector & | x_U,
|  | Number & | df,
|  | SmartPtr< Vector > & | dx,
|  | SmartPtr< Vector > & | dc,
|  | SmartPtr< Vector > & | dd |
| ) |  |  | `[protected, virtual]`

Overloaded from StandardScalingBase.

Implements Ipopt::StandardScalingBase.

void Ipopt::NoNLPScalingObject::operator= | ( | const NoNLPScalingObject & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/IpNLPScaling.hpp